Bug 151344 - minimal install fails on reiserfs partition
minimal install fails on reiserfs partition
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-03-16 22:36 EST by Zlatin Balevsky
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-17 06:16:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
install.log (65.54 KB, text/plain)
2005-03-16 22:38 EST, Zlatin Balevsky
no flags Details
anaconda-ks.cfg (846 bytes, text/plain)
2005-03-16 22:39 EST, Zlatin Balevsky
no flags Details
install.log.syslog (655 bytes, text/plain)
2005-03-16 22:39 EST, Zlatin Balevsky
no flags Details
grub.conf (655 bytes, text/plain)
2005-03-16 22:41 EST, Zlatin Balevsky
no flags Details

  None (edit)
Description Zlatin Balevsky 2005-03-16 22:36:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
Attempting a minimal install on a reiserfs parition formatted through anaconda fails to boot.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a reiserfs partition during installation and format it
2. Select minimal install
3. Boot system

Actual Results:  The booting sequence hangs, the last message output is that kernel is unable to mount vfs root on uknown filesystem, superblock(1,3)

Expected Results:  Normal bootup sequence

Additional info:

When booting in rescue mode, the rescue kernel successfully mounts the partition, as well as other reiserfs partitions created either manually or through previous versions of anaconda.  The FC3 kernel also mounts the partition successfully.

Everything works fine if the partition is ext3
Comment 1 Zlatin Balevsky 2005-03-16 22:38:27 EST
Created attachment 112071 [details]
Comment 2 Zlatin Balevsky 2005-03-16 22:39:05 EST
Created attachment 112072 [details]
Comment 3 Zlatin Balevsky 2005-03-16 22:39:44 EST
Created attachment 112073 [details]
Comment 4 Zlatin Balevsky 2005-03-16 22:41:07 EST
Created attachment 112074 [details]

This is the original grub.conf; I had to modify it by adding my fc3 kernel in
order to boot the system
Comment 5 Zlatin Balevsky 2005-03-16 22:43:41 EST
This is the same system as in bug #151223, the partition is created on a
secondary master while the bootloader is created on the MBR of the primary master.
Comment 6 Zlatin Balevsky 2005-03-16 23:36:53 EST
I repeated the process on a reiserfs partition created by mkfs.reiserfs from
fc3.  Startup did not succeed, here is the exact error message:

RAMDISK: Compressed image found at block 0
RAMDISK: Ran out of compressed data
Invalid Compressed format (err=1)
Kernel panic: not syncing VFS: unable to mount root fs on unknown block (22,2)
Comment 7 Paul Nasrat 2005-03-17 06:16:27 EST
reiserfs is totally, 100% unsupported.  Boot with "linux reiserfs"
at the boot: prompt will let you make new reiserfs filesystems
in the installer.  Bugs filed when you use this will be closed
Comment 8 Joost 2005-06-25 05:18:11 EDT
I found a workaround for the problem. I booted in rescue mode using the cd,
removed grub and installed grub from the FC3 distro. You may need the
--noscripts option to get rid of the 'scriptlet failed errors' with rpm. Then I
did a "grub-install /dev/hda" and everything worked like a charm.
Note that reiserfs is not compatible with selinux because it does not support
extended attributes (yet). You can disable it with the boot option selinux=0.

It seems that grub-0.95-13(FC4) broke reiserfs support compared to grub-0.95-3(FC3).

I have been using reiserfs on RH/fedora for years without problems and suddenly
its broken. It is part of the kernel and imho it should at least be functional.
Please reopen.

Note You need to log in before you can comment on or make changes to this bug.